#include <bits/stdc++.h>

using namespace std;

#define MAXN 1001

int n,l;
int h[MAXN];

int main()
{
    cin>>n>>l;int ans=-1;
    for (int i=1;i<=n;i++) cin>>h[i];
    for (int i=1;i<=n;i++)
    {
        if (h[i]<=l) {ans=i;break;}
    }
    cout<<ans<<endl;
}